import { Poppins } from 'next/font/google'
import { getScopedI18n } from '@/locales/server'
import { cn } from '@/lib/utils'
import { Button } from '@/components/ui/button'
import LoginButton from '@/components/auth/LoginButton'
import { bg as bgg } from '@/config/layout'

const font = Poppins({
  subsets: ['latin'], weight: ['600'],
})

export default async function Home () {
  const t = await getScopedI18n('auth')
  return (<main
    className="flex flex-col items-center justify-center h-full bg-[radial-gradient(ellipse_at_top,_var(--tw-gradient-stops))] from-lime-400 to-emerald-800">
    <div className="space-y-6 text-center">
      <h1 className={cn('text-6xl font-semibold text-white drop-shadow-md',
        font.className)}>
        🔐 {t('title')}
      </h1>
      <p className="text-lg text-white">{t('subtitle')}</p>
      <div>
        <LoginButton>
          <Button variant="secondary" size="lg">{t('sign_in')}</Button>
        </LoginButton>
      </div>
    </div>
  </main>)
}
