'use client'

import { CardWrapper } from '@/components/auth/CardWrapper'
import { AUTH_LOGIN_URL } from '@/config/routes'
import { useI18n } from '@/locales/client'
import { TriangleAlert } from 'lucide-react'

const ErrorCard = () => {
  const t = useI18n()
  return (
    <CardWrapper
      headerLabel={t('auth.form.error.header_label')}
      headerTitle={t('auth.title')}
      backButtonLabel={t('auth.form.error.back_button_label')}
      backButtonHref={AUTH_LOGIN_URL}
    >
      <div className="w-full flex items-center justify-center">
        <TriangleAlert className="w-4 h-4 text-destructive"/>
        <p>ssss</p>
      </div>
    </CardWrapper>
  )
}

export default ErrorCard
