// @https://www.localeplanet.com/icu/index.html

const defaultLocale = 'uk'

export type loc = ('uk' | 'en')

const importLocales = {
  uk: () => import('@/locales/uk'), en: () => import('@/locales/en'),
}
const LC = [
  {
    id: 'uk_UA',
    java: 'uk-UA',
    iso: 'ukr',
    code: 'uk',
    name: 'Ukrainian',
    originalName: 'Українська',
  },
  {
    id: 'en_US',
    java: 'en-US',
    iso: 'eng',
    code: 'en',
    name: 'English',
    originalName: 'English',
  }]

const locales = LC.map(locale => locale.code)

export { locales, defaultLocale, LC, importLocales }