export default {
  auth: {
    title: 'Auth',
    subtitle: 'Simple authentication service',
    sign_in: 'Sign In',
    common: {
      something_went_wrong: 'Something went wrong!',
    },
    form: {
      login: {
        header_label: 'Welcome back',
        back_button_label: 'Don\'t have an account?',
      },
      register: {
        header_label: 'Create an account',
        back_button_label: 'Already have an account?',
      },
      error: {
        email_in_use: 'Email already in use with different provider!',
        header_label: 'Oops! Something went wrong!',
        back_button_label: 'Back to login',
        email_taken: 'Can\'t create an user! Wait for verification by provided email.',
        invalid_fields: 'Invalid fields!',
        invalid_credentials: 'Invalid Credentials!',
        access_denied: 'Access denied!',
      },
    },
    email: {
      success: {
        confirmation_email_sent: 'Confirmation email sent!',
      },
      error: {
        verification_email_sending_error: 'Could not send verification email!',
      },
    },
  },
  schema: {
    message: {
      email_required: 'Invalid email address',
      password_required: `Password is required`,
      name_required: `Name is required`,
      password_min: `Password must be at least {min} characters`,
    },
  },
  form: {
    label: {
      email: 'Email',
      password: 'Password',
      confirm_password: 'Confirm password',
      login: 'Login',
      name: 'Name',
      register: 'Register',
      continue_with: 'Or continue with',
    },
    placeholder: {
      email: 'john.doe@example.com',
      name: 'John Doe',
    },
  },
} as const